#include "main.h"
#include "timer3.h"
//#define IO
//#define TIMER2
//#define UART
//#define ADC
//#define PWM
//#define EEPROM    
//#define LCD      
//#define REM
//#define WT
//#define EINT
#define TIMER3
void main(void)
{

	#ifdef IO
	IO_Test();      //IO 翻转测试
	#endif	
	#ifdef TIMER2
	Timer2_Test();  //P10输出频率为1kHz的方波
	#endif
	#ifdef UART
	Uart_Test();		//波特率9600，将收到的数据发送出来
	#endif
	#ifdef ADC			//uart 接收到'0','1','2','3'，软件触发一次ADC，并将相应通道的转换值通过uart发送出来
	ADC_Test();
	#endif
	#ifdef PWM
	PWM_Test();		  //PWM0，1，2，3输出设定PWM	
	#endif
	#ifdef EEPROM
	EEPROM_Test();   //在EEPROM 10地址写0x47，然后读取，通过串口将读出的值打印出来
	#endif
	#ifdef LCD
	LCD_Test();   //
	#endif
	#ifdef REM
	REM_Test();		  // 
	#endif
	#ifdef WT
	WT_Test();		//
	#endif
	#ifdef EINT
	EINT_Test();		//外部中断0选择P07输入，外部中断1选择P21输入，INT4选择引脚P10 对应亮起LED灯
	#endif
	#ifdef TIMER3
	Timer3_Test();		//
	#endif
}




















